package cn.com.ty.lift.batch.applet.dao.model.request;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huangyuan
 * @date 2020/2/3
 * @description 年检数据请求体
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AnnualInspectionDataRequest extends CommonRequest {
    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 页数
     */
    private Long pageNum;

    /**
     * 每页的条数
     */
    private Long pageSize;

}
