package cn.com.ty.lift.business.contract.dao.mapper;

import cn.com.ty.lift.business.contract.dao.entity.Contracts;
import cn.com.ty.lift.business.contract.dao.entity.model.request.ContractRequest;
import cn.com.ty.lift.business.contract.dao.entity.model.response.ContractExportDto;
import cn.com.ty.lift.business.contract.dao.entity.model.response.ContractManageExportDto;
import cn.com.ty.lift.business.contract.dao.entity.model.response.ContractResponse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author bieao
 * @date 2019/12/09
 * @description 合同数据层
 */
public interface ContractsMapper extends BaseMapper<Contracts> {

    IPage<ContractResponse> findByCondition(IPage<ContractResponse> page, @Param("request") ContractRequest request);

    List<ContractExportDto> findAllContracts(@Param("request")ContractRequest request);

    List<ContractExportDto> findAllErContracts(@Param("request")ContractRequest request);

    List<ContractManageExportDto> findAllContractsManageData(@Param("request")ContractRequest request);

    List<ContractManageExportDto> findAllErContractsManageData(@Param("request")ContractRequest request);


}
