package cn.com.ty.lift.business.library.dao.entity.model.response;

import cn.com.ty.lift.business.library.dao.entity.Lift;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author bieao
 * @date 2020/1/2
 * @description
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiftExtendResponse extends Lift {

    /**
     * 维保工
     */
    private String workerName;

    /**
     * 维保工id
     */
    private Long workerId;

    /**
     * 项目关联id
     */
    private Long relevanceId;

    /**
     * 电梯品牌name
     */
    private String liftBrandName;

    /**
     * 电梯是否锁定
     */
    private Boolean liftLocked;
}
