package cn.com.ty.lift.business.maintenance.dao.third;

import lombok.Data;

/**
 * @author bieao
 * @date 2020/5/16
 * @description 维保任务记录
 */
@Data
public class MaintenanceTask {

    /**
     * 任务单Id
     */
    private Long id;

    /**
     * 作业类型 半月，季度，半年，年度
     */
    private String type;

    /**
     * 实际维保人操作证ID
     */
    private String code;

    /**
     * 维保项
     */
    private String maintenanceOption;

    /**
     * 维保建议
     */
    private String maintenanceAdvice;

    /**
     * 维保签名
     */
    private String signatureImg1;

}
