package cn.com.ty.lift.business.project.dao.entity.model.response;

import lombok.Data;

/**
 * @author bieao
 * @date 2019/12/31
 * @description app端项目电梯列表返回体
 */
@Data
public class ProjectLiftResponse {
    /**
     * 电梯id
     */
    private Long id;
    /**
     * 注册代码
     */
    private String registrationCode;
    /**
     * 电梯编号
     */
    private String liftCode;
    /**
     * 电梯品牌
     */
    private String liftBrand;
    /**
     * 电梯类型
     */
    private String liftType;
    /**
     * 使用公司代码
     */
    private String useCompanyCode;
    /**
     * 电梯是否锁定
     */
    private boolean liftLocked;
}
