package cn.com.ty.lift.enterprise.oa.mapper;


import cn.com.ty.lift.enterprise.oa.dto.AttendanceRequest;
import cn.com.ty.lift.enterprise.oa.dto.AttendanceResponse;
import cn.com.ty.lift.enterprise.oa.entity.Attendance;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * MyBatis Mapper 接口 - 表：attendance
 * @since 2019-11-25 17:40:28
 */
public interface AttendanceMapper extends BaseMapper<Attendance>{

	IPage<AttendanceResponse> pageByCondition(IPage<AttendanceResponse> page, @Param("cond")AttendanceRequest request);

	IPage<AttendanceResponse> pageByUser(IPage<AttendanceResponse> page, @Param("cond")AttendanceRequest request);

	AttendanceResponse infoById(@Param("cond")AttendanceRequest request);

	List<AttendanceResponse> listByIdList(@Param("cond")AttendanceRequest request);

	@Select("select user_id from mt_company_user where mt_company_id = #{mtCompanyId}")
	List<Long> selectCompanyUserIdsByMtCompanyId(Long mtCompanyId);
}