package cn.com.ty.lift.push.jiguang;

import cn.com.ty.lift.common.model.PushMessage;
import lombok.Data;

import java.util.Map;

@Data
public class JiGuangMessage {
    private String titile;
    private String content;
    private Map<String, String> extras;

    private JiGuangMessage(String titile, String content) {
        this.titile = titile;
        this.content = content;
    }

    /**
     * 提供对外创建接口
     * @param titile
     * @param content
     * @return
     */
    public static JiGuangMessage create(String titile, String content) {
        return new JiGuangMessage(titile, content);
    }

    public static JiGuangMessage create(PushMessage message) {
        return new JiGuangMessage(message.getTitle(), message.getContent());
    }
}
