package cn.com.ty.lift.push.jiguang;

import cn.jpush.api.JPushClient;
import lombok.Data;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@Data
@Component("jpushConfig")
public class JpushConfig {

    /**
     * 极光推送的用户名
     */
    private String appkey = "bd76ee7fb5dac9d04b12a521";
    /**
     * 极光推送的密码
     */
    private String masterSecret = "18304fdffe957858a2e376ad";
    /**
     * 极光推送设置过期时间
     */
    private String liveTime = "1000";

    /**
     * 线上环境推送，还是测试环境推送
     */
    private Boolean apnsProduction = false;


    private JPushClient jPushClient;

    @PostConstruct
    public void initJPushClient() {
        jPushClient = new JPushClient(masterSecret, appkey);
    }

    // 获取推送客户端
    public JPushClient getJPushClient() {
        return jPushClient;
    }
}