package cn.com.ty.lift.system.appmenu.mapper.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * app角色权限
 * 
 * @author Xson
 * @date 2020-06-04
 */
@Data
@ApiModel(description = "")
@TableName(value = "appuser_menu")
public class AppuserMenu {


	/**
	 * app角色
	 */
	@ApiModelProperty("app角色")
	private Integer userLevelId;

	/**
	 * 按钮id
	 */
	@ApiModelProperty("按钮id")
	private Integer appmenuId;

	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "主键")
	private Integer id;

	/**
	 * 创建时间 默认为系统当前时间
	 */
	@ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private LocalDateTime createTime;

	/**
	 * 创建者id
	 */
	@ApiModelProperty(value = "创建人id")
	@TableField(value = "create_by", fill = FieldFill.INSERT)
	private String createBy;

	/**
	 * 修改时间 默认为系统当前时间
	 */
	@ApiModelProperty(value = "修改时间")
	@TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
	private LocalDateTime updateTime;

	/**
	 * 修改者id
	 */
	@ApiModelProperty(value = "修改人")
	@TableField(value = "update_by", fill = FieldFill.INSERT_UPDATE)
	private String updateBy;
}
