package cn.com.ty.lift.system.appmenu.service.impl;

import cn.com.ty.lift.system.appmenu.mapper.AppmenuMapper;
import cn.com.ty.lift.system.appmenu.mapper.entity.Appmenu;
import cn.com.ty.lift.system.appmenu.service.IAppmenuService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * app权限-ServiceImpl
 *
 * @author Xson
 * @date 2020-06-04
 */
@Service
@Transactional
public class AppmenuServiceImpl extends ServiceImpl<AppmenuMapper, Appmenu>
    implements IAppmenuService {
	
	@Autowired
	private AppmenuMapper appmenuMapper;

	@Override
	public Appmenu findByRouter(String router) {
		return appmenuMapper.findByRouter(router);
	}


}
