package cn.com.ty.lift.system.user.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 实体类 - 表：user_info
 * @since 2019-11-25 18:01:00
 */
@Data
public class UserInfo {
	@TableId(value = "user_id", type = IdType.ID_WORKER)
	private Long userId;

	private String name;

	private String mobile;

	private Byte gender;

	private Byte age;

	private String remarks;

	private String signature;

	private Integer serviceTotal;

	private Integer satisfactionTotal;

	private Integer level;

	private Integer maintenanceTotal;

	private Integer emergencyTotal;

	private Integer liftTotal;

	private BigDecimal balance;

	private BigDecimal freezeBalance;

	private String alipayAccount;

	private String alipayId;

	private String type;

	private String avatarUrl;

	private Integer deleteFlag;

    //udream增加字段
	private String realName;//用户真实名字
	private String alipayRealName;//支付宝真实名称
	private String wchatAccount;//微信账号
	private Integer userLevel;//app用户类型
	private String userLevelName;//app用户类型名称
	private Integer vipFlag;//vip表示
	private Integer expertLevel;//专家等级
	private Integer nearbyFlag;//是否在附近的人展示
	private Integer showWhichName;//显示昵称还是真实姓名
}