package cn.com.ty.lift.system.user.dao.entity.model;

import lombok.Data;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description 用户请求类
 */
@Data
public class UserRequest {
    private Long userId;//用户id
    private Long roleId;//角色id
    private Long companyId;//公司id
    private String token;//令牌
    private String account;//账号(小梯号)
    private String mobile;//手机号
    private String password;//密码
    private String name;//用户真实姓名
    private String remarks;//用户描述
    private String avatarUrl;//用户头像路径
    private String queryCondition;//查询条件
    private String inputSmsCode;//用户输入的短信验证码
    private String authCode;//微信授权码
    private String appletOpenId;//小程序标识码
    private String weChatOpenId;//用户微信标识码
    private Integer deviceModel;//设备类型
    private String deviceFlag;//设备标识
    private Integer mobileType;//端类型
    private Long pageSize;//每页条数
    private Long pageNum;//页数

    //udream增加字段
    private String alipayAccount;
    private String wchatAccount;
    private String signature;//个人简介，个性签名
    private String realName;//真实名称
}
