package cn.com.ty.lift.ud.appmenu.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * app权限
 * 
 * @author Xson
 * @date 2020-06-04
 */
@Data
@ApiModel(description = "")
@TableName(value = "appmenu")
public class Appmenu extends BaseEntity {

    /**
     * 父级菜单ID
     */
    @ApiModelProperty("父级菜单ID")
    private Long parentId;

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;

    /**
     * 路由
     */
    @ApiModelProperty("路由")
    private String router;


    @ApiModelProperty("图标")
    private String image;


    @ApiModelProperty("描述")
    private String descr;
    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer status;

}
