package cn.com.ty.lift.ud.appmenu.service;

import java.util.List;

import cn.com.ty.lift.ud.appmenu.mapper.entity.AppMenuRequest;
import cn.com.ty.lift.ud.appmenu.mapper.entity.Appmenu;
import cn.com.ty.lift.ud.appmenu.mapper.entity.AppuserMenu;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * app角色权限-Service
 * 
 * @author Xson
 * @date 2020-06-04
 */
public interface IAppuserMenuService extends IService<AppuserMenu> {

    List<Appmenu> getAllMenuByLevelId(Long levelId);

    void updateUserMenu(AppMenuRequest request);
    
    List<Appmenu> getMenuByLevelIdLimit5(Long levelId);
}
