package cn.com.ty.lift.ud.chat.controller;

import cn.com.ty.lift.ud.chat.controller.query.UserNicknameForAnotherQuery;
import cn.com.ty.lift.ud.chat.mapper.entity.UserNicknameForAnother;
import cn.com.ty.lift.ud.chat.service.IUserNicknameForAnotherService;
import cn.com.ty.lift.ud.common.BaseController;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "用户别称 API- 陈雪松")
@RestController
@RequestMapping("/api/kindlyCall")
public class UserNicknameForAnotherController extends BaseController<UserNicknameForAnother, UserNicknameForAnotherQuery> {
    @Autowired
    private IUserNicknameForAnotherService nicknameForAnotherService;
    @Override
    protected IService<UserNicknameForAnother> getService() {
        return nicknameForAnotherService;
    }
}
