package cn.com.ty.lift.ud.chat.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户未读聊天消息记录 （已读就删除。）
 * 
 * @author Xson
 * @date 2020-05-14
 */
@Data
@ApiModel(description = "用户未读聊天消息记录 （已读就删除。）")
@TableName(value = "chat_unread_msg")
public class ChatUnreadMsgEntity extends BaseEntity {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    /**
     * session 会话
     */
    @ApiModelProperty("session 会话")
    private String sessionid;

    /**
     * 来自   
     */
    @ApiModelProperty("来自")
    private Integer fromUser;

    /**
     * 到达
     */
    @ApiModelProperty("到达")
    private Integer toUser;

    /**
     * 信息 聊天信息
     */
    @ApiModelProperty("信息 聊天信息")
    private String msg;

    /**
     * 消息类型：1文本、2图片、3视频、4语音
     */
    @ApiModelProperty("消息类型：1文本、2图片、3视频、4语音")
    private Integer type;

    /**
     * 状态 1:正常0:屏蔽
     */
    @ApiModelProperty("状态 1:正常0:屏蔽")
    private Integer statuz;

}
