package cn.com.ty.lift.ud.chat.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import cn.com.ty.lift.ud.liftCaseAppeal.mapper.entity.LiftCaseAppealEntity;
import cn.com.ty.lift.ud.question.mapper.entity.QuestionBankEntity;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 我的接单
 * 
 * @author Xson
 * @date 2020-04-23
 */

@Data
public class MyCaseVo {


    @ApiModelProperty("总收益")
    private BigDecimal totalMoney;

    @ApiModelProperty("问诊单数")
    private Integer askNum;

    @ApiModelProperty("出诊单数")
    private Integer outNum;

    @ApiModelProperty("待处理数量")
    private Integer dealingNum;

}
