package cn.com.ty.lift.ud.chat.service;

import cn.com.ty.lift.ud.chat.controller.query.ChatMsgQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.ty.lift.ud.chat.mapper.entity.ChatMsgEntity;
import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * 聊天记录 -Service
 * 
 * @author Xson
 * @date 2020-04-22
 */
public interface IChatMsgService extends IService<ChatMsgEntity> {
    
    RestResponse selectByExample(ChatMsgQuery request);
    
    /**
     * 历史聊天记录查询
     * @param req
     * @return
     */
    RestResponse messageHistory(ChatMsgQuery req) throws Exception ;
    
    RestResponse msgHistoryList(ChatMsgQuery request);

}
