package cn.com.ty.lift.ud.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 驳回理由
 *
 * @author Xson
 * @date 2020-04-23
 */
@Data
public class NotExamineDto {


    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
    private String notExamineReason;

    /**
     * 审批 1:通过 2:驳回
     */
    @ApiModelProperty("审批 1:通过 2:驳回")
    private Integer examineFlag;


}
