package cn.com.ty.lift.ud.company.controller;

import cn.com.ty.lift.ud.company.controller.query.CompanyBillQuery;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import cn.com.ty.lift.ud.company.mapper.entity.CompanyBillEntity;
import cn.com.ty.lift.ud.company.service.ICompanyBillService;

import cn.com.ty.lift.ud.common.BaseController;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 公司账单流水 API Jing
 * 
 * @author Xson
 * @date 2020-04-24
 */
@Api(tags = "公司账单流水 API- 盛文静")
@RestController
@RequestMapping("/api/companyBills")
public class CompanyBillController extends BaseController<CompanyBillEntity, CompanyBillQuery> {

    private final Logger log = LoggerFactory.getLogger(CompanyBillController.class);
    
    private @Autowired ICompanyBillService companyBillService;

    @Override
    protected IService<CompanyBillEntity> getService() {
        return companyBillService;
    }
}