package cn.com.ty.lift.ud.company.controller;

import cn.com.ty.lift.ud.company.controller.query.CompanyQuery;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import cn.com.ty.lift.ud.company.mapper.entity.CompanyEntity;
import cn.com.ty.lift.ud.company.service.ICompanyService;

import cn.com.ty.lift.ud.common.BaseController;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 公司 API Jing
 * 
 * @author Xson
 * @date 2020-04-24
 */
@Api(tags = "公司 API- 盛文静")
@RestController
@Deprecated
@RequestMapping("/api/companys")
public class CompanyController extends BaseController<CompanyEntity, CompanyQuery> {

    private final Logger log = LoggerFactory.getLogger(CompanyController.class);
    
    private @Autowired ICompanyService companyService;

    @Override
    protected IService<CompanyEntity> getService() {
        return companyService;
    }
}