package cn.com.ty.lift.ud.company.mapper.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import cn.com.ty.lift.ud.common.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 公司账单流水
 * 
 * @author Xson
 * @date 2020-04-24
 */
@Data
@ApiModel(description = "公司账单流水 ")
@TableName(value = "company_bill")
public class CompanyBillEntity extends BaseEntity {

    /**
     * 公司
     */
    @ApiModelProperty("公司")
    private Integer companyId;

    /**
     * 交易额
     */
    @ApiModelProperty("交易额")
    private BigDecimal amount;

    /**
     * 账户余额
     */
    @ApiModelProperty("账户余额")
    private BigDecimal balance;

    /**
     * 交易类型
     */
    @ApiModelProperty("交易类型")
    private Integer type;

    /**
     * 流水号
     */
    @ApiModelProperty("流水号")
    private String flowNum;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String descr;

}
