package cn.com.ty.lift.ud.dataBank.mapper.entity;

import java.util.List;

import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.ty.lift.ud.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 电梯系统 
 * 
 * @author Xson
 * @date 2020-04-23
 */
@Data
@ApiModel(description="电梯系统 ")
@TableName(value= "lift_control")
public class LiftControlEntity extends BaseEntity {


        /**
         * 系统名
         */
        @ApiModelProperty("系统名")
        private String name;

        /**
         * 品牌
         */
        @ApiModelProperty("品牌")
        private Integer brandId;
        
        /**
         * logo
         */
        @ApiModelProperty("logo")
        private String logo;

        /**
         * 描述
         */
        @ApiModelProperty("描述")
        private String descr;

        /**
         * 排序
         */
        @ApiModelProperty("排序")
        private Integer sort;

        /**
         * 状态 0:上架1:下架
         */
        @ApiModelProperty("状态 0:上架1:下架")
        private Integer statuz;

        /**
         * 主页展示 0:是1:否
         */
        @ApiModelProperty("主页展示 0:是1:否")
        private Integer topFlag;

        private transient LiftBrandEntity liftBrandEntity;
        
        private transient List<LiftFileEntity> listFile;
}
