package cn.com.ty.lift.ud.dataBank.service;

import cn.com.ty.lift.ud.dataBank.controller.query.LiftFileQuery;
import cn.com.ty.lift.ud.dataBank.mapper.entity.LiftFileEntity;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 资料库文件 -Service
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface ILiftFileService extends IService<LiftFileEntity> {

    List<LiftFileEntity> getListByDataIdAndDataTable(Long dataId, Integer type);

    void updateByIds(List<Long> ids, Integer status);
    
    IPage<LiftFileEntity> selectByExample(LiftFileQuery request);
}
