package cn.com.ty.lift.ud.dataBank.service.impl;

import cn.com.ty.lift.ud.dataBank.mapper.LiftCertificateMapper;
import cn.com.ty.lift.ud.dataBank.mapper.entity.LiftCertificateEntity;
import cn.com.ty.lift.ud.dataBank.service.ILiftCertificateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 操作证-ServiceImpl
 *
 * @author Xson
 * @date 2020-05-19
 */
@Service
@Transactional
public class LiftCertificateServiceImpl extends ServiceImpl<LiftCertificateMapper, LiftCertificateEntity>
    implements ILiftCertificateService {

     @Autowired
     private  LiftCertificateMapper liftCertificateMapper;
    /**
     * 根据拥有者ID查询操作证信息
     * @param userId
     * @return
     */
    @Override
    public LiftCertificateEntity getByOwnerId(Long userId) {
        return liftCertificateMapper.getByOwnerId(userId);
    }
}
