package cn.com.ty.lift.ud.expertPunish.mapper.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import cn.com.ty.lift.ud.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 专家惩罚记录
 * 
 * @author Xson
 * @date 2020-07-08
 */
@Data
@ApiModel(description = "")
@TableName(value = "experts_punishment")
public class ExpertsPunishment extends BaseEntity {

    @ApiModelProperty("专家id")
    @JsonSerialize(using=ToStringSerializer.class)
    private Long chargeId;
    
    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("描述")
    private String des;

    @ApiModelProperty("图片")
    private String picUrl;

    @ApiModelProperty("惩罚金额")
    private BigDecimal punishAmount;
    
    @ApiModelProperty("惩罚状态 0 已处罚 1 已撤销")
    private Integer statuz;

}
