package cn.com.ty.lift.ud.expertPunish.service.impl;

import cn.com.ty.lift.ud.expertPunish.controller.query.ExpertsPunishmentQuery;
import cn.com.ty.lift.ud.expertPunish.mapper.bean.ExpertsPunishmentVo;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import cn.com.ty.lift.ud.expertPunish.mapper.ExpertsPunishmentMapper;
import cn.com.ty.lift.ud.expertPunish.mapper.entity.ExpertsPunishment;
import cn.com.ty.lift.ud.expertPunish.service.IExpertsPunishmentService;

import java.util.List;

/**
 * 专家惩罚记录-ServiceImpl
 *
 * @author Xson
 * @date 2020-07-08
 */
@Service
@Transactional
public class ExpertsPunishmentServiceImpl extends ServiceImpl<ExpertsPunishmentMapper,ExpertsPunishment>
    implements IExpertsPunishmentService {

    @Override
    public RestResponse queryPage(ExpertsPunishmentQuery query) {
        List<ExpertsPunishmentVo> list = baseMapper.selectAll(query);
        Integer count = baseMapper.selectAllCount(query);
        IPage page = query.page();
        page.setRecords(list);
        page.setSize(count);

        return RestResponse.success(page);
    }
}
