package cn.com.ty.lift.ud.maintenanceCompany.mapper.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 维保公司
 * 
 * @author Xson
 * @date 2020-05-19
 */
@Data
public class MaintenanceCompanyVo  {

        /**
         * 公司名称
         */
        @ApiModelProperty("公司名称")
        private String name;

        /**
         * 公司ID
         */
        @ApiModelProperty("公司ID")
        @JsonSerialize(using=ToStringSerializer.class)
        private Long id;


}
