package cn.com.ty.lift.ud.neety.process;

import cn.com.ty.lift.ud.neety.protocol.IMMessage;
import io.netty.channel.Channel;

/**
 * 聊天行为支持类
 * 
 * @author sKing
 * @Date 2020年6月12日
 */
public interface ProcessorInterface {

    /**
     * 消息处理
     * 
     * @param client
     *            客户端channel
     * @param request
     *            自定义消息类
     */
    void process(Channel client, IMMessage request);

}
