package cn.com.ty.lift.ud.neety.process;

import cn.com.ty.lift.ud.neety.protocol.IMMessage;
import cn.com.ty.lift.ud.neety.support.WebSoketSupport;
import io.netty.channel.Channel;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class ReadProcessor extends WebSoketSupport implements ProcessorInterface {
    @Override
    public void process(Channel client, IMMessage request) {
        String currentUserId = client.attr(USERID).get();
        String currentUserHead = client.attr(HEAD_PIC).get();
        String currentUserName = client.attr(USERNAME).get();
        log.info("[[{}]] heartbeat ：{}", currentUserName, request.toString());
    }
}
