package cn.com.ty.lift.ud.neety.protocol;

import java.time.LocalDateTime;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 聊天记录
 * 
 * @author Xson
 * @date 2020-04-22
 */
@Data
public class ChatMsgDTO {

    /**
     * session 会话
     */
    @ApiModelProperty("session 会话")
    private String sessionid;

    /**
     * 来自
     */
    @ApiModelProperty("来自")
    private String fromUser;

    /**
     * 到达
     */
    @ApiModelProperty("到达")
    private Integer toUser;

    /**
     * 信息 聊天信息
     */
    @ApiModelProperty("信息 聊天信息")
    private String msg;

    /**
     * 状态 0:正常1:屏蔽
     */
    @ApiModelProperty("状态 0:正常1:屏蔽")
    private Integer statuz;

    /**
     * '消息类型：1文本、2图片、3视频、4语言'
     */
    @ApiModelProperty("'消息类型：1文本、2图片、3视频、4语言'")
    private Integer type;

    private String name;

    private String avatarUrl;

    private String signature;

    private Integer age;

    private Integer userLevel;

    private Integer gender;
    
    private String createTime;

}
