package cn.com.ty.lift.ud.operation.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 专家评论升级规则 
 * 
 * @author Xson
 * @date 2020-05-15
 */
@Data
@ApiModel(description="专家评论升级规则 ")
@TableName(value= "expert_level_setting")
public class ExpertLevelSettingEntity extends BaseEntity {

        /**
         * 评论1星
         */
        @ApiModelProperty("评论1星")
        private Integer scoreOne;

        /**
         * 评论2星
         */
        @ApiModelProperty("评论2星")
        private Integer scoreTwo;

        /**
         * 评论3星
         */
        @ApiModelProperty("评论3星")
        private Integer scoreThree;

        /**
         * 评论4星
         */
        @ApiModelProperty("评论4星")
        private Integer scoreFour;

        /**
         * 评论5星
         */
        @ApiModelProperty("评论5星")
        private Integer scoreFive;


        /**
         * 升级2星
         */
        @ApiModelProperty("升级2星")
        private Integer leveiTwo;

        /**
         * 升级3星
         */
        @ApiModelProperty("升级3星")
        private Integer levelThree;

        /**
         * 升级4星
         */
        @ApiModelProperty("升级4星")
        private Integer levelFour;

        /**
         * 升级5星
         */
        @ApiModelProperty("升级5星")
        private Integer levelFive;

        /**
         * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
         */
        @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交 ")
        private Integer examineFlag;

        /**
         * 驳回理由
         */
        @ApiModelProperty("驳回理由")
        private String notExamineReason;

         /**
         * 版本号
         */
        @ApiModelProperty("版本号")
        private Integer versionId;


}
