package cn.com.ty.lift.ud.operation.mapper.entity;

import java.math.BigDecimal;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 会费设置;
 * 
 * @author Xson
 * @date 2020-06-19
 */
@Data
@ApiModel(description="")
@TableName(value= "vip_fee_setting")
public class VipFeeSettingEntity extends BaseEntity {



        /**
         * 等级名称
         */
        @ApiModelProperty("等级名称")
        private String name;

        /**
         * 价格
         */
        @ApiModelProperty("价格")
        private BigDecimal price;


        /**
         * 折扣价
         */
        @ApiModelProperty("折扣价")
        @TableField(value = "discount_price")
        private BigDecimal discountPrice;

        /**
         * 有效期，单位月
         */
        @ApiModelProperty("有效期，单位月")
        private Integer period;

        /**
         * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
         */
        @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交")
        private Integer examineFlag;

        /**
         * 驳回理由
         */
        @ApiModelProperty("驳回理由")
        private String notExamineReason;

        /**
         * 用户等级id
         */
        @ApiModelProperty("用户等级id")
        private Long userLevelId;


        /**
         * 用户等级名称
         */
        @ApiModelProperty("用户等级名称")
        private transient String  userLevelName;

}
