package cn.com.ty.lift.ud.payment.controller;

import cn.com.ty.lift.ud.payment.controller.query.ApplyInvoiceImgQuery;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import cn.com.ty.lift.ud.payment.mapper.entity.ApplyInvoiceImgEntity;
import cn.com.ty.lift.ud.payment.service.IApplyInvoiceImgService;

import cn.com.ty.lift.ud.common.BaseController;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 发票图片 API Jing
 * 
 * @author Xson
 * @date 2020-04-22
 */
@Api(tags = "发票图片 API- 盛文静")
@RestController
@RequestMapping("/api/applyInvoiceImgs")
public class ApplyInvoiceImgController
    extends BaseController<ApplyInvoiceImgEntity, ApplyInvoiceImgQuery> {

    private final Logger log = LoggerFactory.getLogger(ApplyInvoiceImgController.class);
    
    private @Autowired IApplyInvoiceImgService applyInvoiceImgService;

    @Override
    protected IService<ApplyInvoiceImgEntity> getService() {
        return applyInvoiceImgService;
    }
}