package cn.com.ty.lift.ud.payment.controller;

import cn.com.ty.lift.ud.payment.controller.query.ApplyInvoiceRequestQuery;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import cn.com.ty.lift.ud.payment.mapper.entity.ApplyInvoiceRequestEntity;
import cn.com.ty.lift.ud.payment.service.IApplyInvoiceRequestService;

import cn.com.ty.lift.ud.common.BaseController;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 发票申请请求记录 API Jing
 * 
 * @author Xson
 * @date 2020-04-22
 */
@Api(tags = "发票申请请求记录 API- 盛文静")
@RestController
@RequestMapping("/api/applyInvoiceRequests")
public class ApplyInvoiceRequestController
    extends BaseController<ApplyInvoiceRequestEntity, ApplyInvoiceRequestQuery> {

    private final Logger log = LoggerFactory.getLogger(ApplyInvoiceRequestController.class);
    
    private @Autowired IApplyInvoiceRequestService applyInvoiceRequestService;

    @Override
    protected IService<ApplyInvoiceRequestEntity> getService() {
        return applyInvoiceRequestService;
    }
}