package cn.com.ty.lift.ud.payment.service;

import cn.com.ty.lift.ud.payment.controller.query.UserWithdrawQuery;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.ty.lift.ud.chat.controller.model.ChatSessionReq;
import cn.com.ty.lift.ud.payment.mapper.entity.UserWithdrawEntity;
import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * 用户提现申请 -Service
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface IUserWithdrawService extends IService<UserWithdrawEntity> {

    /**
     * 分页查询
     * 
     * @param example
     * @return
     */
    RestResponse selectByExample(UserWithdrawQuery example);

    /**
     * 批量删除提现申请
     * 
     * @param req
     * @return
     */
    RestResponse deleteUpdate(ChatSessionReq req);

    /**
     * 提现审核
     * 
     * @param req
     * @return
     */
    RestResponse examine(UserWithdrawQuery req);

    /**
     * 新增提现
     * 
     * @param req
     * @return
     */
    RestResponse insetWithdrwa(UserWithdrawEntity req);

    Integer isOver(UserWithdrawEntity req);
}
