package cn.com.ty.lift.ud.question.mapper.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 打赏
 *
 * @author Xson
 * @date 2020-04-23
 */
@Data
public class GiveMoneyDto {


    /**
     * 题目 主键
     */
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 赏金
     */
    @ApiModelProperty("赏金")
    private BigDecimal reward;


    /**
     * 支付方式  1：平台余额  2:支付宝  3:微信
     */
    @ApiModelProperty("支付方式")
    private Integer pay_flag;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    @JsonSerialize(using=ToStringSerializer.class)
    private Long userId;


}
