package cn.com.ty.lift.ud.recruitmentInfos.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import cn.com.ty.lift.ud.recruitmentInfos.mapper.RecruitmentOperateMapper;
import cn.com.ty.lift.ud.recruitmentInfos.mapper.entity.RecruitmentOperateEntity;
import cn.com.ty.lift.ud.recruitmentInfos.service.IRecruitmentOperateService;

/**
 * 招聘操作记录 -ServiceImpl
 *
 * @author Xson
 * @date 2020-04-23
 */
@Service
@Transactional
public class RecruitmentOperateServiceImpl extends ServiceImpl<RecruitmentOperateMapper,RecruitmentOperateEntity>
    implements IRecruitmentOperateService {

	@Autowired
	private RecruitmentOperateMapper recruitmentOperateMapper;
	
	@Override
	public RecruitmentOperateEntity findByUserAndId(Long userId, Long dataId, Integer type) {
		return recruitmentOperateMapper.findByUserAndId(userId,dataId,type);
	}


}
