package cn.com.ty.lift.ud.schoolVideo.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.com.ty.lift.ud.schoolVideo.mapper.entity.SchoolVideoOperateEntity;

/**
 * 电梯学堂操作记录 -Repository
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface SchoolVideoOperateMapper extends BaseMapper<SchoolVideoOperateEntity> {

    @Select("SELECT * FROM school_video_operate WHERE user_id=#{userId} AND TYPE=#{type} AND data_id=#{dataId}")
    List<SchoolVideoOperateEntity> findByUserAndId(@Param("userId") Long userId, @Param("dataId") Long dataId,
        @Param("type") Integer type);
}
