package cn.com.ty.lift.ud.schoolVideo.service.impl;

import cn.com.ty.lift.ud.schoolVideo.mapper.SchoolVideoOperateMapper;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import cn.com.ty.lift.ud.schoolVideo.mapper.entity.SchoolVideoOperateEntity;
import cn.com.ty.lift.ud.schoolVideo.service.ISchoolVideoOperateService;

/**
 * 电梯学堂操作记录 -ServiceImpl
 *
 * @author Xson
 * @date 2020-04-23
 */
@Service
@Transactional
public class SchoolVideoOperateServiceImpl extends ServiceImpl<SchoolVideoOperateMapper,SchoolVideoOperateEntity>
    implements ISchoolVideoOperateService {

	@Autowired
	private SchoolVideoOperateMapper schoolVideoOperateMapper;
	
	@Override
	public List<SchoolVideoOperateEntity> findByUserAndId(Long userId, Long dataId,Integer type) {
		return schoolVideoOperateMapper.findByUserAndId(userId,dataId,type);
	}


}
