package cn.com.ty.lift.ud.shopping.mapper.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.ty.lift.ud.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 商城操作记录
 * 
 * @author Xson
 * @date 2020-04-23
 */
@Data
@ApiModel(description = "商城操作记录 ")
@TableName(value = "shopping_operate")
public class ShoppingOperateEntity extends BaseEntity {

	/**
	 * 问题 题库id
	 */
	@ApiModelProperty("问题 题库id")
	private Long dataId;

	/**
	 * 用户 用户id
	 */
	@ApiModelProperty("用户 用户id")
	private Long userId;

	/**
	 * 操作类型 1:浏览2:点赞3:收藏4:购买
	 */
	@ApiModelProperty("操作类型 1:浏览2:点赞3:收藏4:购买")
	private Integer type;

}
