package cn.com.ty.lift.ud.tableDict.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 数据字典表 
 * 
 * @author Xson
 * @date 2020-05-07
 */
@Data
@ApiModel(description="数据字典表 ")
@TableName(value= "table_dict")
public class TableDictEntity extends BaseEntity {


        /**
         * 表名
         */
        @ApiModelProperty("表名")
        private String tableName;

        /**
         * 字段
         */
        @ApiModelProperty("字段")
        private String field;

        /**
         * code
         */
        @ApiModelProperty("code")
        private String code;

        /**
         * velue
         */
        @ApiModelProperty("velue")
        private String val;

        /**
         * 描述
         */
        @ApiModelProperty("描述")
        private String descr;



}
