package cn.com.ty.lift.ud.templateBase.controller;

import cn.com.ty.lift.ud.common.BaseController;
import cn.com.ty.lift.ud.templateBase.controller.query.MaintenanceSetOptionQuery;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import cn.com.ty.lift.ud.templateBase.mapper.entity.MaintenanceSetOptionEntity;
import cn.com.ty.lift.ud.templateBase.service.IMaintenanceSetOptionService;

import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 维保项-套餐关联表 API
 * 
 * @author Xson
 * @date 2020-04-29
 */
@Api(tags = "维保项-套餐关联表 API- 小陶")
@RestController
@RequestMapping("/api/maintenanceSetOptions")
public class MaintenanceSetOptionController extends BaseController<MaintenanceSetOptionEntity, MaintenanceSetOptionQuery> {

    private final Logger log = LoggerFactory.getLogger(MaintenanceSetOptionController.class);
    
    private @Autowired IMaintenanceSetOptionService maintenanceSetOptionService;

    @Override
    protected IService<MaintenanceSetOptionEntity> getService() {
        return maintenanceSetOptionService;
    }
}