package cn.com.ty.lift.ud.templateBase.mapper;


import cn.com.ty.lift.ud.templateBase.controller.query.MaintenanceSetQuery;
import cn.com.ty.lift.ud.templateBase.mapper.entity.MaintenanceSetEntity;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import  com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 维保套餐 -Repository
 * 
 * @author Xson
 * @date 2020-04-29
 */
public interface MaintenanceSetMapper extends BaseMapper<MaintenanceSetEntity> {

    /**
     * 多表查询
     *
     * @param condition
     * @param page
     * @return
     */
    List<MaintenanceSetEntity> selectByQuery(@Param("ew") Wrapper condition, @Param("page") MaintenanceSetQuery page);

    /**
     * 查询总数量
     *
     * @param condition
     * @return
     */
    int countByQuery(@Param("ew")Wrapper condition);

    /**
     * 新增
     * @param maintenanceSetEntity
     * @return
     */
    Integer saveInfo(MaintenanceSetEntity maintenanceSetEntity);

    /**
     * 根据ID查询详情
     * @param id
     * @return
     */
    List<MaintenanceSetEntity> getInfoById(@Param("id") Long id);
}
