package cn.com.ty.lift.ud.templateBase.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 维保项-套餐关联表 
 * 
 * @author Xson
 * @date 2020-04-29
 */
@Data
@ApiModel(description="维保项-套餐关联表 ")
@TableName(value= "maintenance_set_option")
public class MaintenanceSetOptionEntity extends BaseEntity {

        /**
         * 维保项id
         */
        @ApiModelProperty("维保项id")
        private Long optionId;

        /**
         * 维保套餐id
         */
        @ApiModelProperty("维保套餐id")
        private Long setId;



}
