package cn.com.ty.lift.ud.templateBase.mapper.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 维保套餐
 *
 * @author Xson
 * @date 2020-04-29
 */
@Data
public class MaintenanceSetVo {


    /**
     * 名称 模板套餐名称
     */
    @ApiModelProperty("名称 模板套餐名称")
    private String name;

    /**
     * 电梯类别(1:曳引梯;2:液压梯;3:杂物梯;4:自动扶梯;5:自动人行道)
     */
    @ApiModelProperty("电梯类别(1:曳引梯;2:液压梯;3:杂物梯;4:自动扶梯;5:自动人行道)")
    private String driveType;

    /**
     * 保养时间类型  ''1.半月，2.季度，3.半年，4.全年
     */
    @ApiModelProperty("保养时间类型  ''1.半月，2.季度，3.半年，4.全年")
    private String validTime;

    /**
     * 维保项
     */
    private transient List<MaintenanceOptionEntity> optionList;

}
