package cn.com.ty.lift.ud.userAccount.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.ty.lift.ud.userAccount.service.IUserAccountService;
import cn.com.xwy.boot.web.dto.RestResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 用户账号表 API
 * 
 * @author Xson
 * @date 2020-05-13
 */
@Api(tags = "用户账号表 API")
@RestController
//@CrossOrigin
@RequestMapping("/api/userAccounts")
public class UserAccountController {

    @Autowired
    private IUserAccountService iUserAccountService;

    @GetMapping("/updateUserExpert")
    @ApiOperation(value = "踢出专家")
    public RestResponse updateUserExpert(String userId) {
        iUserAccountService.updateUserExpert(userId);
        return RestResponse.success(null, "Queried successfully");
    }

}