package cn.com.ty.lift.ud.userCollect.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 我的收藏 
 * 
 * @author Xson
 * @date 2020-04-28
 */
@Data
@ApiModel(description="我的收藏 ")
@TableName(value= "user_collect")
public class UserCollectEntity extends BaseEntity {

        /**
         * 收藏的内容的ID
         */
        @ApiModelProperty("收藏的内容的ID")
        private Long infoId;

        /**
         * 收藏类型  1 问题   2 视频  3 职位  4  商品
         */
        @ApiModelProperty("收藏类型  1 问题   2 视频  3 职位  4  商品")
        private Integer collectType;

        /**
         * 用户ID
         */
        @ApiModelProperty("用户ID")
        private Long userId;

        /**
         * 备注
         */
        @ApiModelProperty("备注")
        private String descr;


}
