package cn.com.ty.lift.ud.userInfo.mapper.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Xson
 * @date 2020-05-09
 */
@Data
public class UserLevelDto {


    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    @JsonSerialize(using=ToStringSerializer.class)
    private Long userId;

    /**
     * 维保公司id
     */
    @ApiModelProperty("维保公司id")
    private  Long maintenanceCompanyId;

}
