package cn.com.ty.lift.ud.userInfo.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import cn.com.ty.lift.ud.userInfo.mapper.RoleMapper;
import cn.com.ty.lift.ud.userInfo.mapper.entity.Role;
import cn.com.ty.lift.ud.userInfo.service.RoleService;

@Service
@Transactional
public class RoleServiceImpl extends ServiceImpl<RoleMapper, Role> implements RoleService {

    private @Autowired RoleMapper roleMapper;
    
    @Override
    public List<Role> getByUserId(Long userId) {
        return roleMapper.getByUserId(userId);
    }

}
