package cn.com.ty.lift.batch.applet.dao.mapper;

import cn.com.ty.lift.batch.applet.dao.model.ContractDataModel;
import cn.com.ty.lift.batch.applet.dao.model.request.CommonRequest;
import cn.com.xwy.boot.mybatis.MyBatisMapper;

import java.util.List;

/**
 * @author huangyuan
 * @date 2020/2/3
 * @description
 */
@MyBatisMapper
public interface ContractDataMapper {
    /**
     * @param commonRequest 起始时间 结束时间
     * @return
     * @description 获取时间段内的合同数据
     * @date 2020/2/4 11:23 上午
     */
    List<ContractDataModel> getContractDataList(CommonRequest commonRequest);

    /**
     * @param
     * @return
     * @description
     * @date 2020/6/2 6:33 下午
     */
    Long getPerformNum(CommonRequest commonRequest);
}
