package cn.com.ty.lift.batch.applet.dao.model;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2020/2/3
 * @description
 */
@Data
public class LiftDataModel extends BaseDataModel {
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 项目结束时间
     */
    private LocalDateTime projectEndTime;
    /**
     * 状态  0:删除 1:尚未开始(项目开始日期晚于系统日期);2:服务中(系统日期在项目开始和结束日期之间，包括相等) 3:停止服务 4.逾期
     */
    private String projectStatus;
    /**
     * 区域id
     */
    private Long regionId;
    /**
     * 区域名称
     */
    private String regionName;
    /**
     * 关联时间-新增时间
     */
    private LocalDateTime connectTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
    /**
     * 丢失时间
     */
    private LocalDateTime lostTime;
    /**
     * 电梯状态：1:表示新增 3:表示丢失
     */
    private Integer liftStatus;
    /**
     * 电梯公司状态 1:停保
     */
    private String liftCompanyStatus;
}
