package cn.com.ty.lift.push.jiguang;

import cn.jpush.api.push.model.PushPayload;

import java.util.Collection;



public interface JiGuangService {
    /**
     * 推送全部
     * @param msg
     * @return
     */
    boolean pushAll(JiGuangMessage msg);

    /**
     * 推送所有ios
     * @param msg
     * @return
     */
    boolean pushIos(JiGuangMessage msg);

    /**
     * 推送指定的regid推送ios
     * @param msg
     * @param registids
     * @return
     */
    boolean pushIos(JiGuangMessage msg, String... registids);
    boolean pushIos(JiGuangMessage msg, Collection registids);

    /**
     * 推送所有安卓
     * @param msg
     * @return
     */
    boolean pushAndroid(JiGuangMessage msg);

    /**
     * 推送指定的regid推送安卓
     * @param msg
     * @param registids
     * @return
     */
    boolean pushAndroid(JiGuangMessage msg, String... registids);
    boolean pushAndroid(JiGuangMessage msg, Collection registids);

    /**
     * 推送消息
     * @param pushPayload
     * @return
     */
    boolean push(PushPayload pushPayload);
}
