package cn.com.ty.lift.system.user.dao.entity.model;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author huangyuan
 * @date 2019-12-28
 * @description 用户信息
 */
@Data
public class UserInfoResponse {
    private String companyName;//公司名
    private String roleName;//角色名
    private String roleCode;//角色编码
    private String userName;//用户名
    private BigDecimal balance;//用户余额
    private String avatarUrl;//用户头像路径
    private String mobile;//用户手机号
    private String remarks;//描述
    private boolean wxBindFlag;//微信绑定标识
    private Integer certificateStatus;//操作证状态

    //udream增加字段
    private String nickName;
    private  String signature;//个人简介
    private Integer userLevel;//app用户类型
    private String userLevelName;//app用户类型名称
    private String alipayAccount;
    private String alipayRealName;
    private String wchatAccount;
    private Integer showWhichName;
}
