package cn.com.ty.lift.ud.ajiguangpush;

import cn.com.ty.lift.common.model.PushMessage;
import cn.com.ty.lift.common.model.PushUserInfo;
import cn.com.ty.lift.ud.userAccount.service.IUserAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jms.core.JmsMessagingTemplate;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/jiguang")
public class Jiguangpush {
    @Autowired
    private IUserAccountService userAccountService;
    @Autowired
    private JmsMessagingTemplate jmsMessagingTemplate;
    @GetMapping("/test/{userid}")
    public String aaa(@PathVariable("userid") String userid){
        PushUserInfo pushUserInfo = userAccountService.getPushUserInfoByUserId(userid);
        PushMessage wtf = PushMessage.sayHelloToFriend("wtf");
        wtf.sendTokenOnPlatform(jmsMessagingTemplate, pushUserInfo);

        return "success";
    }
}
