package cn.com.ty.lift.ud.areaCode.mapper.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.ty.lift.ud.common.BaseTree;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 行政区划
 * 
 * @author Xson
 * @date 2020-04-30
 */
@Data
@ApiModel(description = "行政区划 ")
@TableName(value = "area_code")
public class AreaCode extends BaseTree{

	/**
	 * 编码
	 */
	@ApiModelProperty("编码")
	private String code;

	/**
	 * 名称
	 */
	@ApiModelProperty("名称")
	private String name;

	/**
	 * 父级编码
	 */
	@ApiModelProperty("父级编码")
	private String parent;

	/**
	 * 级别 1省 2市 3区
	 */
	@ApiModelProperty("级别 1省 2市 3区")
	private Integer level;

	/**
	 * 版本号(新增一个+1)
	 */
	@ApiModelProperty("版本号(新增一个+1)")
	private Integer version;

}
