package cn.com.ty.lift.ud.chat.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 对其他用户的备注
 * @date 2020-11-24
 */
@Data
@ApiModel(description="聊天记录 ")
@TableName(value= "user_nickname_for_another")
public class UserNicknameForAnother extends BaseEntity {
    /**
     * userId 当前用户id
     */
    @ApiModelProperty("userId 当前用户id")
    private Long userId;
    /**
     * targetUserId 目标用户id
     */
    @ApiModelProperty("targetUserId 目标用户id")
    private Long targetUserId;
    /**
     * nickname 目标用户别称
     */
    @ApiModelProperty("nickname 目标用户别称")
    private String nickname;
}
