package cn.com.ty.lift.ud.company.mapper.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.ty.lift.ud.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 公司
 * 
 * @author Xson
 * @date 2020-04-24
 */
@Data
@ApiModel(description = "公司 ")
@TableName(value = "company")
public class CompanyEntity extends BaseEntity {

    /**
     * 公司名称
     */
    @ApiModelProperty("公司名称")
    private String name;

    /**
     * 地址
     */
    @ApiModelProperty("地址")
    private String address;

    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    private String corporator;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    private String telephone;

    /**
     * 主要业务
     */
    @ApiModelProperty("主要业务")
    private String mainbusiness;

    /**
     * 企业类型 1:民营企业2:国企3:外资
     */
    @ApiModelProperty("企业类型 1:民营企业2:国企3:外资")
    private Integer type;
    
    @ApiModelProperty("公司规模")
    private String companySize;

}
