package cn.com.ty.lift.ud.dataBank.controller;

import cn.com.ty.lift.ud.common.BaseController;
import cn.com.ty.lift.ud.dataBank.mapper.entity.LiftCertificateEntity;
import cn.com.ty.lift.ud.dataBank.controller.query.LiftCertificateQuery;
import cn.com.ty.lift.ud.dataBank.service.ILiftCertificateService;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.annotations.Api;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 操作证API
 * 
 * @author Xson
 * @date 2020-05-19
 */
@Api(tags = "操作证API")
@RestController
@RequestMapping("/api/liftCertificates")
public class LiftCertificateController extends BaseController<LiftCertificateEntity,LiftCertificateQuery> {

    private final Logger log = LoggerFactory.getLogger(LiftCertificateController.class);
    
    private @Autowired ILiftCertificateService liftCertificateService;

    @Override
    protected IService<LiftCertificateEntity> getService() {
        return liftCertificateService;
    }
}