package cn.com.ty.lift.ud.dataBank.mapper;


import cn.com.ty.lift.ud.dataBank.mapper.entity.LiftBrandEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;
/**
 * 电梯品牌 -Repository
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface LiftBrandMapper extends BaseMapper<LiftBrandEntity> {

	@Select("SELECT * FROM lift_brand WHERE hot_flag=1 and statuz=1")
	List<LiftBrandEntity>getHotList();
	
	@Select("SELECT * FROM lift_brand WHERE statuz=1")
	List<LiftBrandEntity> queryAll();
	
	@Select("SELECT * FROM lift_brand WHERE name=#{name}")
	List<LiftBrandEntity> getByName(String name);
}
