package cn.com.ty.lift.ud.dataBank.mapper;


import cn.com.ty.lift.ud.dataBank.mapper.entity.LiftCertificateEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;

/**
 * 操作证-Repository
 * 
 * @author Xson
 * @date 2020-05-19
 */
public interface LiftCertificateMapper extends BaseMapper<LiftCertificateEntity> {


    /**
     * 根据拥有者ID查询操作证信息
     * @param userId
     * @return
     */
    @Select("select * from lift_certificate where owner_id = #{userId}")
    LiftCertificateEntity getByOwnerId(Long userId);
}
