package cn.com.ty.lift.ud.dataBank.mapper.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.ty.lift.ud.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 电梯品牌 
 * 
 * @author Xson
 * @date 2020-04-23
 */
@Data
@ApiModel(description="电梯品牌 ")
@TableName(value= "lift_brand")
public class LiftBrandEntity extends BaseEntity {

        /**
         * 名称
         */
        @ApiModelProperty("名称")
        private String name;

        /**
         * 英文名
         */
        @ApiModelProperty("英文名")
        private String ename;

        /**
         * logo
         */
        @ApiModelProperty("logo")
        private String logo;

        /**
         * 描述
         */
        @ApiModelProperty("描述")
        private String descr;

        /**
         * 排序
         */
        @ApiModelProperty("排序")
        private Integer sort;

        /**
         * 状态 0:上架1:下架
         */
        @ApiModelProperty("状态 1:上架0:下架")
        private Integer statuz;

        /**
         * 主页展示 0:是1:否
         */
        @ApiModelProperty("是否热门 1:是0:否")
        private Integer hotFlag;
        
        /**
         * 编码
         */
        @ApiModelProperty("编码")
        private String code;

        private transient String sercheKey;
}
