package cn.com.ty.lift.ud.dataBank.mapper.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.ty.lift.ud.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 错误代码 
 * 
 * @author Xson
 * @date 2020-04-23
 */
@Data
@ApiModel(description="错误代码 ")
@TableName(value= "lift_fault_code")
public class LiftFaultCodeEntity extends BaseEntity {


        /**
         * 品牌
         */
        @ApiModelProperty("品牌")
        private Integer brandId;

        /**
         * 错误代码
         */
        @ApiModelProperty("错误代码")
        private String code;

        /**
         * 描述
         */
        @ApiModelProperty("描述")
        private String descr;

        /**
         * 可能原因
         */
        @ApiModelProperty("可能原因")
        private String cause;

        /**
         * 复位方式
         */
        @ApiModelProperty("复位方式")
        private String recoveryMethod;

        /**
         * 图集
         */
        @ApiModelProperty("图集")
        private String imgs;

        /**
         * 排序
         */
        @ApiModelProperty("排序")
        private Integer sort;

        /**
         * 主页展示 0是1否
         */
        @ApiModelProperty("主页展示 0是1否")
        private Integer topFlag;

        /**
         * 状态 0上架1下架
         */
        @ApiModelProperty("状态 0上架1下架")
        private Integer statuz;

        private transient String brandName;

}
