package cn.com.ty.lift.ud.dataBank.service;

import java.util.List;

import cn.com.ty.lift.ud.dataBank.controller.query.LiftFaultCodeQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.ty.lift.ud.dataBank.mapper.entity.LiftFaultCodeEntity;
import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * 错误代码 -Service
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface ILiftFaultCodeService extends IService<LiftFaultCodeEntity> {

	RestResponse selectByExample(LiftFaultCodeQuery example);
	
	void updateByIds(List<Long> ids,Integer status); 
	
	void updateTopFlagByIds(List<Long> ids,Integer status); 
	
}
