package cn.com.ty.lift.ud.feign.api;

import cn.com.ty.lift.ud.feign.dto.RoleListDto;
import cn.com.ty.lift.ud.feign.vo.RoleVo;
import cn.com.xwy.boot.page.dto.BasePageResult;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @Description: TODO
 * @Author xwy
 * @create 2019/11/16
 */
@FeignClient(name = "lift-portal-service")
public interface PortalFeignApi {

    @RequestMapping("/role/menu/list")
    RestResponse<BasePageResult<RoleVo>> queryMenuByRole(RoleListDto dto) ;

}
