package cn.com.ty.lift.ud.maintenanceCompany.mapper;


import cn.com.ty.lift.ud.maintenanceCompany.controller.query.MaintenanceCompanyQuery;
import cn.com.ty.lift.ud.maintenanceCompany.mapper.entity.MaintenanceCompanyEntity;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 维保公司-Repository
 * 
 * @author Xson
 * @date 2020-05-19
 */
public interface MaintenanceCompanyMapper extends BaseMapper<MaintenanceCompanyEntity> {

    /**
     * 多表查询
     *
     * @param condition
     * @param page
     * @return
     */
    List<MaintenanceCompanyEntity> selectByQuery(@Param("ew") Wrapper condition, @Param("page") MaintenanceCompanyQuery page);

    /**
     * 查询总数量
     *
     * @param condition
     * @return
     */
    int countByQuery(@Param("ew") Wrapper condition);

}
