package cn.com.ty.lift.ud.motiontrail.service;

import cn.com.ty.lift.ud.motiontrail.controller.query.MotionTrailQuery;
import cn.com.ty.lift.ud.motiontrail.mapper.entity.MotionTrail;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 人员轨迹-Service
 * 
 * @author Xson
 * @date 2020-07-15
 */
public interface IMotionTrailService extends IService<MotionTrail> {

    /**
     * 根据条件查询人员轨迹
     * @param request
     * @return
     */
    RestResponse queryTrail(MotionTrailQuery request);

    /**
     * 新增位置记录
     * @param motionTrail
     * @return
     */
    RestResponse addTrail(MotionTrail motionTrail);
    
    /**
     * 根据条件查询团队成员
     * @param request
     * @return
     */
    RestResponse queryTrailByTeam(MotionTrailQuery request);
}
