package cn.com.ty.lift.ud.operation.mapper.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import cn.com.ty.lift.ud.common.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 税率设置 
 * 
 * @author Xson
 * @date 2020-05-04
 */
@Data
@ApiModel(description="税率设置 ")
@TableName(value= "tax_setting")
public class TaxSettingEntity extends BaseEntity {


        /**
         * 类目
         */
        @ApiModelProperty("类目")
        private String taxName;

        /**
         * 税率
         */
        @ApiModelProperty("税率")
        private BigDecimal taxRate;

        /**
         * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
         */
        @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交")
        private Integer examineFlag;

        /**
         * 驳回理由
         */
        @ApiModelProperty("驳回理由")
        private String notExamineReason;


}
