package cn.com.ty.lift.ud.operation.mapper.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import cn.com.ty.lift.ud.common.BaseEntity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 用户等级规则;
 * 
 * @author Xson
 * @date 2020-05-06
 */
@Data
@ApiModel(description="用户等级规则;")
@TableName(value= "user_level_rule")
public class UserLevelRuleEntity extends BaseEntity {




        /**
         * 角色名称
         */
        @ApiModelProperty("角色名称")
        private String name;


        /**
         * 1会员用户2普通用户
         */
        @ApiModelProperty("1会员用户2普通用户")
        private Integer vipFlag;

        /**
         * 用户ID
         */
        @ApiModelProperty("用户ID")
        @JsonSerialize(using=ToStringSerializer.class)
        private transient Long userId;

        /**
         * 角色编码
         */
        @ApiModelProperty("角色编码")
        private String roleCode;

        /**
         * 卡片
         */
        @ApiModelProperty("卡片")
        private  String image;



}
