package cn.com.ty.lift.ud.operation.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户返利规则;
 * 
 * @author Xson
 * @date 2020-06-28
 */
@Data
@ApiModel(description="")
@TableName(value= "user_rebate_rule")
public class UserRebateRuleEntity extends BaseEntity {



        /**
         * 角色ID
         */
        @ApiModelProperty("角色ID")
        private Long roleId;

        /**
         * 角色名称
         */
        @ApiModelProperty("角色名称")
        private transient String roleName;

        /**
         * 一级返利
         */
        @ApiModelProperty("一级返利")
        private BigDecimal rebate1;

        /**
         * 二级返利
         */
        @ApiModelProperty("二级返利")
        private BigDecimal rebate2;

        /**
         * 是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交
         */
        @ApiModelProperty("是否审批通过 0 待审核 1 审核通过  2 驳回 3 待提交")
        private Integer examineFlag;

        /**
         * 驳回理由
         */
        @ApiModelProperty("驳回理由")
        private String notExamineReason;



}
