package cn.com.ty.lift.ud.payment.controller;

import cn.com.ty.lift.ud.payment.controller.query.ApplyInvoiceItemQuery;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import cn.com.ty.lift.ud.payment.mapper.entity.ApplyInvoiceItemEntity;
import cn.com.ty.lift.ud.payment.service.IApplyInvoiceItemService;

import cn.com.ty.lift.ud.common.BaseController;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 发票项目 API Jing
 * 
 * @author Xson
 * @date 2020-04-22
 */
@Api(tags = "发票项目 API- 盛文静")
@RestController
@RequestMapping("/api/applyInvoiceItems")
public class ApplyInvoiceItemController
    extends BaseController<ApplyInvoiceItemEntity, ApplyInvoiceItemQuery> {

    private final Logger log = LoggerFactory.getLogger(ApplyInvoiceItemController.class);
    
    private @Autowired IApplyInvoiceItemService applyInvoiceItemService;

    @Override
    protected IService<ApplyInvoiceItemEntity> getService() {
        return applyInvoiceItemService;
    }
}