package cn.com.ty.lift.ud.payment.mapper.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.ty.lift.ud.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 发票项目 
 * 
 * @author Xson
 * @date 2020-04-22
 */
@ApiModel(description="发票项目 ")
@TableName(value= "apply_invoice_item")
@Data
public class ApplyInvoiceItemEntity extends BaseEntity {

    /**
     * 对应数据id
     */
    @ApiModelProperty("对应数据id")
     private Long dataId;

    /**
     * 数据类型
     */
    @ApiModelProperty("数据类型")
     private Integer dataType;

    /**
     * 发票id
     */
    @ApiModelProperty("发票id")
     private Long invoiceId;

    /**
     * 发票行性质
     */
    @ApiModelProperty("发票行性质")
    private Integer fphxz;

    /**
     * 项目名称
     */
    @ApiModelProperty("项目名称")
    private String xmmc;

    /**
     * 计量单位
     */
    @ApiModelProperty("计量单位")
    private String dw;

    /**
     * 规格型号
     */
    @ApiModelProperty("规格型号")
    private String ggxh;

    /**
     * 项目数量
     */
    @ApiModelProperty("项目数量")
    private Integer xmsl;

    /**
     * 项目单价
     */
    @ApiModelProperty("项目单价")
    private BigDecimal xmdj;

    /**
     * 项目总额
     */
    @ApiModelProperty("项目总额")
    private BigDecimal xmze;

    /**
     * 税率
     */
    @ApiModelProperty("税率")
    private Double sl;

    /**
     * 税额
     */
    @ApiModelProperty("税额")
    private BigDecimal se;


}
