package cn.com.ty.lift.ud.payment.service;

import cn.com.ty.lift.ud.payment.controller.query.TyBillQuery;
import cn.com.ty.lift.ud.payment.mapper.entity.TyBillEntity;
import cn.com.xwy.boot.web.dto.RestResponse;

import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;

/**
 * 天域账单流水 -Service
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface ITyBillService extends IService<TyBillEntity> {
    
    RestResponse selectByExample(TyBillQuery example);

    BigDecimal getLatestBalance();

}
