package cn.com.ty.lift.ud.payment.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.com.ty.lift.ud.payment.mapper.entity.ApplyInvoiceImgEntity;

import cn.com.ty.lift.ud.payment.mapper.ApplyInvoiceImgMapper;
import cn.com.ty.lift.ud.payment.service.IApplyInvoiceImgService;

/**
 * 发票图片 -ServiceImpl
 *
 * @author Xson
 * @date 2020-04-23
 */
@Service
@Transactional
public class ApplyInvoiceImgServiceImpl extends ServiceImpl<ApplyInvoiceImgMapper,ApplyInvoiceImgEntity>
    implements IApplyInvoiceImgService {
	
	private @Autowired ApplyInvoiceImgMapper applyInvoiceImgMapper;

	@Override
	public List<ApplyInvoiceImgEntity> findByInvoiceId(Long id) {
		return applyInvoiceImgMapper.findByInvoiceId(id);
	}


}
