package cn.com.ty.lift.ud.payment.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.com.ty.lift.ud.payment.mapper.entity.ApplyInvoiceItemEntity;

import cn.com.ty.lift.ud.payment.mapper.ApplyInvoiceItemMapper;
import cn.com.ty.lift.ud.payment.service.IApplyInvoiceItemService;

/**
 * 发票项目 -ServiceImpl
 *
 * @author Xson
 * @date 2020-04-23
 */
@Service
@Transactional
public class ApplyInvoiceItemServiceImpl extends ServiceImpl<ApplyInvoiceItemMapper,ApplyInvoiceItemEntity>
    implements IApplyInvoiceItemService {

	private @Autowired
	ApplyInvoiceItemMapper applyInvoiceItemMapper;
	
	@Override
	public List<ApplyInvoiceItemEntity> findByInvoiceId(Long id) {
		return applyInvoiceItemMapper.findByInvoiceId(id);
	}


}
