package cn.com.ty.lift.ud.recruitmentInfos.mapper;


import cn.com.ty.lift.ud.recruitmentInfos.mapper.entity.RecruitmentOperateEntity;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import  com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 招聘操作记录 -Repository
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface RecruitmentOperateMapper extends BaseMapper<RecruitmentOperateEntity> {

	@Select("SELECT * FROM recruitment_operate WHERE user_id=#{userId} AND TYPE=#{type} AND data_id=#{dataId}")
	RecruitmentOperateEntity findByUserAndId(@Param("userId")Long userId,@Param("dataId") Long dataId,@Param("type")Integer type);
}
