package cn.com.ty.lift.ud.recruitmentInfos.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 招聘操作记录
 * 
 * @author Xson
 * @date 2020-04-23
 */
@Data
@ApiModel(description = "招聘操作记录 ")
@TableName(value = "recruitment_operate")
public class RecruitmentOperateEntity extends BaseEntity {

	/**
	 * 招聘id
	 */
	@ApiModelProperty("招聘id")
	private Long dataId;

	/**
	 * 用户 用户id
	 */
	@ApiModelProperty("用户 用户id")
	@JsonSerialize(using=ToStringSerializer.class)
	private Long userId;

	/**
	 * 操作类型 1:浏览2:点赞3:收藏4:购买
	 */
	@ApiModelProperty("操作类型 1:浏览2:点赞3:收藏4:购买")
	private Integer type;

}
