package cn.com.ty.lift.ud.searchHistory.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 搜索历史表
 * 
 * @author tw
 * @date 2020-11-17
 */
@Data
@ApiModel(description="搜索历史表")
@TableName(value= "search_history")
public class SearchHistoryEntity extends BaseEntity {

        /**
         * 关键字
         */
        @ApiModelProperty("关键字")
        private String keyWord;

        /**
         * 搜索次数
         */
        @ApiModelProperty("搜索次数")
        private Integer searchTimes;


}
