package cn.com.ty.lift.ud.searchIndex.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 搜索索引表
 * 
 * @author Xson
 * @date 2020-05-09
 */
@Data
@ApiModel(description="搜索索引表")
@TableName(value= "search_index")
public class SearchIndexEntity extends BaseEntity {


        /**
         * 表名
         */
        @ApiModelProperty("表名")
        private String tableName;

        /**
         * 列名
         */
        @ApiModelProperty("列名")
        private String coloumName;

        /**
         * 关键字
         */
        @ApiModelProperty("关键字")
        private String keyWord;


        /**
         * 对应的表的数据主键ID
         */
        @ApiModelProperty("对应的表的数据主键ID")
        private Long tableId;

        /**
         * 模块ID  1：题库管理  2：视频管理 3：商品管理  4：招聘管理
         */
        @ApiModelProperty("模块ID  1：题库管理  2：视频管理 3：商品管理  4：招聘管理")
        private Integer moduleId;


}
