package cn.com.ty.lift.ud.sensitivewords.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.com.ty.lift.ud.sensitivewords.mapper.entity.SensitiveWords;

/**
 * 敏感词汇 -Repository
 * 
 * @author Xson
 * @date 2020-04-24
 */
public interface SensitiveWordsMapper extends BaseMapper<SensitiveWords> {

    @Select("select * from sensitive_words where status=1")
    List<SensitiveWords> getAll();

    @Select("select * from sensitive_words where keyword=#{keyword}")
    List<SensitiveWords> getByKeyword(@Param("keyword")String keyword);
}
