package cn.com.ty.lift.ud.sensitivewords.mapper.entity;

import cn.com.ty.lift.ud.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 敏感词汇
 * 
 * @author Xson
 * @date 2020-04-24
 */
@Data
@ApiModel(description = "敏感词汇 ")
@TableName(value = "sensitive_words")
public class SensitiveWords extends BaseEntity {

	/**
	 * 关键字 敏感词
	 */
	@ApiModelProperty("关键字 敏感词")
	private String keyword;

	/**
	 * 状态 0正常1停用
	 */
	@ApiModelProperty("状态 1正常0停用")
	private Integer status;

}
