package cn.com.ty.lift.ud.shopping.mapper;


import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import  com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.com.ty.lift.ud.shopping.mapper.entity.ShoppingOperateEntity;
/**
 * 商城操作记录 -Repository
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface ShoppingOperateMapper extends BaseMapper<ShoppingOperateEntity> {

	@Select("SELECT * FROM shopping_operate WHERE user_id=#{userId} AND TYPE=#{type} AND data_id=#{dataId}")
	ShoppingOperateEntity findByUserAndId(@Param("userId")Long userId,@Param("dataId") Long dataId,@Param("type")Integer type);
}
