package cn.com.ty.lift.ud.shopping.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import cn.com.ty.lift.ud.shopping.mapper.ShoppingOperateMapper;
import cn.com.ty.lift.ud.shopping.mapper.entity.ShoppingOperateEntity;
import cn.com.ty.lift.ud.shopping.service.IShoppingOperateService;

/**
 * 商城操作记录 -ServiceImpl
 *
 * @author Xson
 * @date 2020-04-23
 */
@Service
@Transactional
public class ShoppingOperateServiceImpl extends ServiceImpl<ShoppingOperateMapper,ShoppingOperateEntity>
    implements IShoppingOperateService {

	@Autowired
	private ShoppingOperateMapper shoppingOperateMapper;
	
	@Override
	public ShoppingOperateEntity findByUserAndId(Long userId, Long dataId, Integer type) {
		return shoppingOperateMapper.findByUserAndId(userId,dataId,type);
	}


}
