package cn.com.ty.lift.ud.templateBase.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.com.ty.lift.ud.templateBase.mapper.entity.MaintenanceSetOptionEntity;

import cn.com.ty.lift.ud.templateBase.mapper.MaintenanceSetOptionMapper;
import cn.com.ty.lift.ud.templateBase.service.IMaintenanceSetOptionService;

/**
 * 维保项-套餐关联表 -ServiceImpl
 *
 * @author Xson
 * @date 2020-04-29
 */
@Service
@Transactional
public class MaintenanceSetOptionServiceImpl extends ServiceImpl<MaintenanceSetOptionMapper,MaintenanceSetOptionEntity>
    implements IMaintenanceSetOptionService {


    @Autowired
    private MaintenanceSetOptionMapper maintenanceSetOptionMapper;

    @Override
    public void deletebySetId(long id) {
        maintenanceSetOptionMapper.deletebySetId(id);
    }
}
