package cn.com.ty.lift.ud.userAgreement.service;

import java.util.List;

import cn.com.ty.lift.ud.userAgreement.controller.query.UserAgreementQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.ty.lift.ud.userAgreement.mapper.entity.UserAgreement;
import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * 用户协议 -Service
 * 
 * @author Xson
 * @date 2020-05-13
 */
public interface IUserAgreementService extends IService<UserAgreement> {

    void updateByIds(List<Long> ids, Integer status);

    RestResponse selectByExample(UserAgreementQuery example);
    
    RestResponse queryListCharge();
    
    RestResponse getAgreementByUser(Long userId);
}
