package cn.com.ty.lift.ud.userInfo.mapper.entity;

import cn.com.ty.lift.ud.maintenanceCompany.mapper.entity.MaintenanceCompanyEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 个人详细信息
 * @author Xson
 * @date 2020-05-09
 */
@Data
public class DetailUserInfoVo {


    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 用户昵称
     */
    @ApiModelProperty("用户昵称")
    private String name;

    /**
     * 头像地址
     */
    @ApiModelProperty("头像地址")
    private String avatarUrl;

    /**
     * 真实姓名
     */
    @ApiModelProperty("真实姓名")
    private String realName;

    /**
     * 用户手机号
     */
    @ApiModelProperty("用户手机号")
    private String mobile;

    /**
     * 擅长品牌
     */
    @ApiModelProperty("擅长品牌")
    private String proficiencyBrand;

    /**
     * 操作证状态 0：无证，1：待审核，2：审核未通过，3：审核通过，4：超期
     */
    @ApiModelProperty("操作证状态 0：无证，1：待审核，2：审核未通过，3：审核通过，4：超期")
    private Integer statuz;

    /**
     * 个性签名
     */
    @ApiModelProperty("个性签名")
    private String signature;

    /**
     * 维保公司信息
     */
    @ApiModelProperty("维保公司信息")
    private MaintenanceCompanyEntity mcEntity ;

    /**
     * 维保公司名称
     */
    @ApiModelProperty("维保公司名称")
    private String CompanyName;


}
