package cn.com.ty.lift.ud.userInfo.mapper.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 *
 * @author Xson
 * @date 2020-05-09
 */
@Data
public class UserInfoVo {


    /**
     * 用户Id
     */
    @ApiModelProperty("用户Id")
    private Long userId;

    /**
     * 用户昵称
     */
    @ApiModelProperty("用户昵称")
    private String name;

    /**
     * 头像地址
     */
    @ApiModelProperty("头像地址")
    private String avatarUrl;

    /**
     * 距离，单位：米
     */
    @ApiModelProperty("距离，单位：米")
    private  Integer distance;

    /**
     * 简介
     */
    @ApiModelProperty("简介")
    private String signature;

    /**
     * 市区
     */
    @ApiModelProperty("市区")
    private String lastCityDistrict;

    /**
     * 备注名
     */
    @ApiModelProperty("备注名")
    private String kindlyName;
}
