package cn.com.ty.lift.ud.userInfo.mapper.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Xson
 * @date 2020-05-09
 */
@Data
public class UserVipDto {


    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    @JsonSerialize(using=ToStringSerializer.class)
    private Long userId;


    /**
     * 有效期，是几个月就传几，后台接口不传
     */
    @ApiModelProperty("有效期， 是几个月就传几，后台接口不传")
    private  Integer period;

    /**
     * user_level_rule 主键ID
     */
    @ApiModelProperty("user_level_rule 主键ID")
    private Long userLevelId;


}
