package cn.com.ty.lift.ud.userInvoice.service.impl;

import cn.com.ty.lift.ud.userInvoice.service.IUserInvoiceService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import cn.com.ty.lift.ud.userInvoice.mapper.UserInvoiceMapper;
import cn.com.ty.lift.ud.userInvoice.mapper.entity.UserInvoice;

/**
 * 用户发票抬头 -ServiceImpl
 *
 * @author Xson
 * @date 2020-05-21
 */
@Service
@Transactional
public class UserInvoiceServiceImpl extends ServiceImpl<UserInvoiceMapper,UserInvoice>
    implements IUserInvoiceService {
	
	@Autowired
	private UserInvoiceMapper userInvoiceMapper;

	@Override
	public void updateIsDefaultByUserId(Long userId) {
		userInvoiceMapper.updateIsDefaultByUserId(userId);
	}


}
