package cn.com.ty.lift.ud.userOrders.service.impl;

import cn.com.ty.lift.ud.userOrders.mapper.UserOrdersMapper;
import cn.com.ty.lift.ud.userOrders.mapper.entity.UserOrders;
import cn.com.ty.lift.ud.userOrders.service.IUserOrdersService;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 订单 -ServiceImpl
 *
 * @author Xson
 * @date 2020-05-23
 */
@Service
@Transactional
public class UserOrdersServiceImpl extends ServiceImpl<UserOrdersMapper, UserOrders>
    implements IUserOrdersService {


    @Autowired
    private UserOrdersMapper userOrdersMapper;
    
    /**
     * 根据诊单id修改订单状态
     * @param lifeCaseId
     */
    @Override
    public void updateOrderStatus(Long lifeCaseId) {
        userOrdersMapper.updateOrderStatus(lifeCaseId);
    }
}
