package cn.com.ty.lift.ud.userresume.service;

import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.ty.lift.ud.userresume.mapper.entity.UserResume;

/**
 * 用户简历信息 -Service
 * 
 * @author Xson
 * @date 2020-04-24
 */
public interface IUserResumeService extends IService<UserResume> {

    /**
     * 申请职位
     * @param entity
     * @return
     */
    RestResponse<UserResume> applyJob(UserResume entity);

    /**
     * 根据用户id查询简历
     * @param userId
     * @return
     */
    RestResponse getResumeByUserId(Long userId);
}
